Subject: Re: fsl_udc_core not initializing properly?

From: Anatolij Gustschin <[email-masked]>
Date: Fri, 11 Mar 2011 14:27:50 +0100

On Thu, 10 Mar 2011 13:46:29 -0500
"Matthew L. Creech" <[email-masked]> wrote:

> On Sat, Feb 19, 2011 at 1:01 PM, Matthew L. Creech <[email-masked]> wrote:
> >
> > Yes, it's there.  Here's the DTS entry in case anything else sticks out:
> >
> >                usb@23000 {
> >                        compatible = "fsl-usb2-dr";
> >                        reg = <0x23000 0x1000>;
> >                        #address-cells = <1>;
> >                        #size-cells = <0>;
> >                        interrupt-parent = <&ipic>;
> >                        interrupts = <38 0x8>;
> >                        phy_type = "utmi_wide";
> >                        dr_mode = "peripheral";
> >                        sleep = <&pmc 0x00300000>;
> >                };
> >
> 
> Hi Anatolij,

Hi Matthew,

> I tracked the problem down to a change made in September, which
> happens to be yours:
> 
> http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=126512e3f274802ca65ebeca8660237f0361ad48
> 
> When I roll this back, everything works fine again.
> 
> First of all, I noticed that fsl-mph-dr-of.c isn't even compiling for
> me (even though I have the option enabled in my .config), because it's
> been placed in "usb/host/", and I'm only using device/gadget-mode USB.
> 
> I edited the top-level Makefile to just force it into "usb/host/", and
> that makes sure that your driver gets built (and it's probed just fine
> at runtime).  But that still didn't solve the problem - as before,
> fsl_udc_probe() is never being called.

Thanks for reporting this bug.

> Did you test this change in device mode?  I'm wondering if there's
> something different about my configuration that prevents it from
> working.  My config is uploaded here if it helps:
> 
> http://mcreech.com/work/linux.config

I did test in device mode with additional Patches for USB Device/OTG
support for MPC5121e, these patches still need rework to be acceptable in
mainline. Thanks for your config, I'll look at the issue this weekend
and will report the result.

Anatolij